Chat
Update chat
deprecated
Update chat.
PATCH
/
ai
/
{v}
/
chat
Update chat
curl --request PATCH \
--url https://platform.ai.gloo.com/ai/{v}/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_value": ""
}
'import requests
url = "https://platform.ai.gloo.com/ai/{v}/chat"
payload = { "new_value": "" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_value: ''})
};
fetch('https://platform.ai.gloo.com/ai/{v}/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chat_id": "cd7c70b84-81b4-4865-ba38-5bce98d1919d",
"field": "pin",
"value": true
}{
"detail": "Invalid value"
}Deprecated Endpoint: This endpoint is part of the Chat API which is deprecated.Please migrate to the Completions v2 API for new projects.Migration Guide →
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Available options:
v1 Query Parameters
Select a field
Available options:
pin, title, summary Maximum string length:
7Body
application/json
The new value for the field.
Response
Successful response
⌘I
Update chat

